Namespace
library
Image / Tag
openjdk:19-ea-14-jdk-slim-buster
Content Digest
sha256:ef748c52690ed5bb2815136ef6d02ef4242db166b3212eebe9daf9a31227a91b
Details
Created

2022-03-22 01:25:11 UTC

Size

214 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-19

JAVA_VERSION

19-ea+14

LANG

C.UTF-8

PATH

/usr/local/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:a4b007099961706d45bdb3eb0a3aab719916c3e36d6da7577b0c9060260e65f8 - 12.13% (25.9 MB)

[#001] sha256:58d899da7a457921f26453d8b8d7627f92345b2d4e0148e596703edd05fff65e - 1.46% (3.12 MB)

[#002] sha256:f210a536cb9d0efdfe6496e058ed1eba68257d6c7bb9c17a16a250859367d815 - 86.41% (185 MB)


History
2022-03-17 04:04:26 UTC

/bin/sh -c #(nop) ADD file:7f5787c324936e09d339f9426eec4a0120431e2a4b6ccb0db28b94d61f074ab2 in /

2022-03-17 04:04:27 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-03-17 18:09:12 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2022-03-17 18:09:13 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-19

2022-03-17 18:09:13 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-03-17 18:09:13 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-03-22 01:24:56 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=19-ea+14

2022-03-22 01:25:10 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk19/14/GPL/openjdk-19-ea+14_linux-x64_bin.tar.gz'; downloadSha256='7c64317f728ce251b1fa6fcc612bbc5e4fac4d2862cf0f9b9edd98800072b6bc'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk19/14/GPL/openjdk-19-ea+14_linux-aarch64_bin.tar.gz'; downloadSha256='166aaa023baf2fff6484465efd16040557b4bbd57362409d730acec5d01fe749'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-03-22 01:25:11 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2022-03-22 10:04:45 UTC

Size

211 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-19

JAVA_VERSION

19-ea+14

LANG

C.UTF-8

PATH

/usr/local/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c9277cac12165646c33f028489f2a5be3f70745382f4385cd9ed12fcc8cec183 - 11.71% (24.7 MB)

[#001] sha256:3ae7314079173e0b84736e3e2bd8ab0ecb4a61a7e8edf7f35305c0176b6d73a7 - 1.41% (2.97 MB)

[#002] sha256:e97b426dd03a5ede70036413dde080a64939e47e125aff37a7a131e4a6c6ce99 - 86.88% (183 MB)


History
2022-03-17 03:22:22 UTC

/bin/sh -c #(nop) ADD file:1c7d8cedf5dc79c676acebde5252ecd3005088a9f29e5e6be547f659f41efb1f in /

2022-03-17 03:22:22 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-03-17 23:23:39 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2022-03-17 23:23:40 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-19

2022-03-17 23:23:41 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-03-17 23:23:42 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-03-22 10:04:31 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=19-ea+14

2022-03-22 10:04:45 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk19/14/GPL/openjdk-19-ea+14_linux-x64_bin.tar.gz'; downloadSha256='7c64317f728ce251b1fa6fcc612bbc5e4fac4d2862cf0f9b9edd98800072b6bc'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk19/14/GPL/openjdk-19-ea+14_linux-aarch64_bin.tar.gz'; downloadSha256='166aaa023baf2fff6484465efd16040557b4bbd57362409d730acec5d01fe749'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-03-22 10:04:45 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete